Get Default Values to Create a Record—Lightweight

Get the default values for fields for a new record of a specified object and optional record type. You must specify the fields you want returned. This resource doesn’t use or return layout information. After getting the default values, make a request to POST /ui-api/records to create the record.
The response contains object metadata for specified fields. For example, this request returns object metadata for Account and User, because the OwnerId field on the Account object contains a reference to the User object.
1GET /ui-api/record-defaults/template/create/Account?optionalFields=Account.OwnerId
Resource
1/ui-api/record-defaults/template/create/{objectApiName}

To get default values based on a layout, use the /ui-api/record-defaults/create/{objectApiName} resource.

Note

  • objectApiName—The API name of the object type for the new record.
Available Version
49.0
HTTP Method
GET
Request Parameters
Parameter Name Type Description Required or Optional Available Version
optionalFields String[] A collection of optional field names. If a field is accessible to the context user, it’s included in the response. If a field isn’t accessible to the context user, it isn’t included in the response, but it doesn’t cause an error.

Specify names in the format ObjectApiName.FieldName. You can get any field that has a named relationship to this record. There’s no limit to the number of fields you can specify.

If you don’t pass any fields, the response doesn’t include any fields.

Optional 49.0
recordTypeId Id The ID of the record type (RecordType object) for the new record. If not provided, the default record type is used. Optional 49.0
Response Body
Record Defaults Template Create